#include "globals.h"
#include "audiostatus.h"
#include "display.h"
#include <Arduino.h>

// Define audio status functions
void audio_info(const char *info) {
  Serial.print("info        "); Serial.println(info);
}

void audio_id3data(const char *info) {
  Serial.print("id3data     "); Serial.println(info);
}

void audio_eof_mp3(const char *info) {
  Serial.print("eof_mp3     "); Serial.println(info);
}

void audio_showstation(const char *info) {
  Serial.print("station     "); Serial.println(info);
}

void audio_showstreaminfo(const char *info) {
  Serial.print("streaminfo  "); Serial.println(info);
}

void audio_showstreamtitle(const char *info) {
  Serial.print("streamtitle "); 
  Serial.println(info);
  songTitleChanged = true;
  
  // Truncate the string to 20 characters
  char truncatedInfo[46]; // Allocate space for 20 characters + null terminator
  strncpy(truncatedInfo, info, 45);
  truncatedInfo[45] = '\0'; // Null-terminate the string
  
  songTitle = truncatedInfo;
}


void audio_bitrate(const char *info) {
  Serial.print("bitrate     "); Serial.println(info);
}

void audio_commercial(const char *info) {
  Serial.print("commercial  "); Serial.println(info);
  songTitleChanged = true;
  songTitle = "(Commercial)";
}

void audio_icyurl(const char *info) {
  Serial.print("icyurl      "); Serial.println(info);
}

void audio_lasthost(const char *info) {
  Serial.print("lasthost    "); Serial.println(info);
}

void audio_eof_speech(const char *info) {
  Serial.print("eof_speech  "); Serial.println(info);
}
