#include <Adafruit_GFX.h>
#include <Adafruit_GrayOLED.h>
#include <Adafruit_SPITFT.h>
#include <Adafruit_SPITFT_Macros.h>
#include <gfxfont.h>

#include "display.h"
#include <Adafruit_GFX.h>


void eraseCenteredText(Adafruit_ILI9341 &tft, const char* text, bool drawRectangle, int line) {
  // Get text dimensions
  int16_t x, y;
  uint16_t textWidth, textHeight;
  tft.getTextBounds(text, 0, 0, &x, &y, &textWidth, &textHeight);

  // Calculate text position to center vertically
  int16_t centerY = (line - 1) * (textHeight); // Adjust 10 for spacing between lines

  // Set cursor position to center text
  tft.setCursor((tft.width() - textWidth) / 2, centerY);

  // Draw rectangle to remove previous text
  if (drawRectangle) {
    tft.fillRect(0, centerY - textHeight / 2, tft.width(), textHeight, ILI9341_BLACK);
  }

  // Draw the text
  tft.setTextColor(ILI9341_BLACK);
  //tft.setTextSize(2);
  tft.println(text);

  // Draw rectangle around the text if required
  if (drawRectangle) {
    tft.drawRect((tft.width() - textWidth) / 2 -10, centerY - textHeight / 2, textWidth + 20, textHeight + 10, ILI9341_BLACK);

  }
}

void displayCenteredText(Adafruit_ILI9341 &tft, const char* text,  bool drawRectangle, int line) {
  // Get text dimensions
  int16_t x, y;
  uint16_t textWidth, textHeight;
  tft.getTextBounds(text, 0, 0, &x, &y, &textWidth, &textHeight);

  // Calculate text position to center vertically
  int16_t centerY = (line - 1) * (textHeight); // Adjust 10 for spacing between lines

  // Set cursor position to center text
  tft.setCursor((tft.width() - textWidth) / 2, centerY);

  // Print text
  tft.setTextColor(ILI9341_WHITE);
  //tft.setTextSize(2);
  tft.println(text);

  // Draw rectangle around the text if required
  if (drawRectangle) {
    tft.drawRect((tft.width() - textWidth) / 2 -10, centerY - textHeight / 2, textWidth + 20, textHeight + 10, ILI9341_WHITE);
  }
}

//*************************************************************************
// Initialize tft and draw title screen
//*************************************************************************
void displayTitleScreen(Adafruit_ILI9341 &tft) {
  //Display startup and initial display




}

//*************************************************************************
// Initialize tft and draw title screen
//*************************************************************************
void eraseTitleScreen(Adafruit_ILI9341 &tft) {
  tft.setTextSize(2);
  tft.setTextColor(ILI9341_WHITE);
  eraseCenteredText(tft,"Internet Radio",true,6);

  tft.setTextSize(1);
  eraseCenteredText(tft,"by Chris Fulton",false,2);

  eraseCenteredText(tft,"Initializing",false,1);

}